Package org.apache.datasketches.hive.tuple

## Class UnionDoubleSummarySketchUDAF.UnionDoubleSummarySketchEvaluator

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator
  - - org.apache.datasketches.hive.tuple.UnionSketchUDAF.UnionSketchEvaluator<org.apache.datasketches.tuple.adouble.DoubleSummary>
    - - org.apache.datasketches.hive.tuple.UnionDoubleSummarySketchUDAF.UnionDoubleSummarySketchEvaluator

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  UnionDoubleSummarySketchUDAF

    public static class UnionDoubleSummarySketchUDAF.UnionDoubleSummarySketchEvaluator
    extends UnionSketchUDAF.UnionSketchEvaluator<org.apache.datasketches.tuple.adouble.DoubleSummary>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AbstractAggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationType, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode`

### Field Summary

Fields
`protected org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector` `intermediateInspector_`
`protected static String` `NOMINAL_NUM_ENTRIES_FIELD`
`protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector` `nominalNumEntriesInspector_`
`protected static String` `SKETCH_FIELD`

### Fields inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`partitionEvaluator`

### Constructor Summary

Constructors
`UnionDoubleSummarySketchEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.datasketches.tuple.SummaryDeserializer<org.apache.datasketches.tuple.adouble.DoubleSummary>` `getSummaryDeserializer()` Get an instance of SummaryDeserializer
`protected org.apache.datasketches.tuple.SummaryFactory<org.apache.datasketches.tuple.adouble.DoubleSummary>` `getSummaryFactory​(Object[] data)` Get an instance of SummaryFactory possibly parameterized based on the original input array of objects.
`protected org.apache.datasketches.tuple.SummarySetOperations<org.apache.datasketches.tuple.adouble.DoubleSummary>` `getSummarySetOperationsForIterate​(Object[] data)` Get an instance of SummarySetOperations possibly parameterized based on the original input array of objects.
`protected org.apache.datasketches.tuple.SummarySetOperations<org.apache.datasketches.tuple.adouble.DoubleSummary>` `getSummarySetOperationsForMerge​(Object data)` Get an instance of SummarySetOperations possibly parameterized based on the intermediate data object.
`protected void` `initializeState​(org.apache.datasketches.hive.tuple.UnionState<S> state, Object data)`
`void` `merge​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf, Object data)`
`void` `reset​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)`
`Object` `terminate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)`
`Object` `terminatePartial​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)`

### Methods inherited from class org.apache.datasketches.hive.tuple.UnionSketchUDAF.UnionSketchEvaluator

`getNewAggregationBuffer, init, initializeState, iterate`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`aggregate, close, configure, createPartitionEvaluator, estimate, evaluate, getExprString, getPartitionWindowingEvaluator, getWindowingEvaluator, isEstimable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOMINAL_NUM_ENTRIES_FIELD

    protected static final String NOMINAL_NUM_ENTRIES_FIELD

See Also:
  Constant Field Values

#### SKETCH_FIELD

    protected static final String SKETCH_FIELD

See Also:
  Constant Field Values

#### nominalNumEntriesInspector_

    protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector nominalNumEntriesInspector_

#### intermediateInspector_

    protected org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector intermediateInspector_

### Constructor Detail

#### UnionDoubleSummarySketchEvaluator

    public UnionDoubleSummarySketchEvaluator()

### Method Detail

#### getSummaryDeserializer

    protected org.apache.datasketches.tuple.SummaryDeserializer<org.apache.datasketches.tuple.adouble.DoubleSummary> getSummaryDeserializer()

Get an instance of SummaryDeserializer

Returns:
  SummaryDeserializer

#### getSummaryFactory

    protected org.apache.datasketches.tuple.SummaryFactory<org.apache.datasketches.tuple.adouble.DoubleSummary> getSummaryFactory​(Object[] data)

Get an instance of SummaryFactory possibly parameterized based on the original input array of objects. Might be called once during the first call to iterate.

Parameters:
  `data` - original input array of objects
Returns:
  an instance of SummaryFactory

#### getSummarySetOperationsForIterate

    protected org.apache.datasketches.tuple.SummarySetOperations<org.apache.datasketches.tuple.adouble.DoubleSummary> getSummarySetOperationsForIterate​(Object[] data)

Get an instance of SummarySetOperations possibly parameterized based on the original input array of objects. Might be called once during the first call to iterate.

Parameters:
  `data` - original input array of objects
Returns:
  an instance of SummarySetOperations

#### getSummarySetOperationsForMerge

    protected org.apache.datasketches.tuple.SummarySetOperations<org.apache.datasketches.tuple.adouble.DoubleSummary> getSummarySetOperationsForMerge​(Object data)

Get an instance of SummarySetOperations possibly parameterized based on the intermediate data object. Might be called once during the first call to merge.

Parameters:
  `data` - intermediate data object
Returns:
  an instance of SummarySetOperations

#### terminatePartial

    public Object terminatePartial​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)
                            throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `terminatePartial` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### merge

    public void merge​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf,
                      Object data)
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `merge` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### initializeState

    protected void initializeState​(org.apache.datasketches.hive.tuple.UnionState<S> state,
                                   Object data)

#### terminate

    public Object terminate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)
                     throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `terminate` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### reset

    public void reset​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `reset` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`